#language: ru

@financial_results

Функционал: 001. financial_results. Создание и проверка НСИ

Сценарий: 001.1. financial_results. Статьи доходов

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.001. ФинРез"
	Дано я удаляю объекты "ПланыВидовХарактеристик.к2СтатьиДоходов" без контроля ссылок
	И В командном интерфейсе я выбираю 'Деньги' 'Статьи доходов'
	Тогда открылось окно 'Статьи доходов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Статья доходов (создание)'
	И в поле 'Наименование' я ввожу текст 'Прочие доходы'
	И я меняю значение переключателя 'Тип аналитики' на 'Контрагенты'
	И я меняю значение переключателя 'Тип аналитики' на 'Пользователи'
	И я меняю значение переключателя 'Тип аналитики' на 'Товарные категории'
	И я меняю значение переключателя 'Тип аналитики' на 'Транспортные средства'
	И я меняю значение переключателя 'Тип аналитики' на 'Физические лица'
	И я меняю значение переключателя 'Тип аналитики' на 'Номенклатура'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Статья доходов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Статьи доходов'
	И Я закрываю окно 'Статьи доходов'
	
Сценарий: 001.2. financial_results. Статьи затрат
	
	Дано я удаляю объекты "ПланыВидовХарактеристик.к2СтатьиЗатрат" без контроля ссылок
	* Проверка создания и выбора всех типов аналитик
		И В командном интерфейсе я выбираю 'Деньги' 'Статьи затрат'
		Тогда открылось окно 'Статьи затрат'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Статья затрат (создание)'
		И в поле 'Наименование' я ввожу текст 'Прочие расходы'
		И я меняю значение переключателя 'Тип аналитики' на 'Задание на доставку'
		И я меняю значение переключателя 'Тип аналитики' на 'Контрагенты'
		И я меняю значение переключателя 'Тип аналитики' на 'Маркетинговое мероприятие'
		И я меняю значение переключателя 'Тип аналитики' на 'Пользователи'
		И я меняю значение переключателя 'Тип аналитики' на 'Товарные категории'
		И я меняю значение переключателя 'Тип аналитики' на 'Транспортные средства'
		И я меняю значение переключателя 'Тип аналитики' на 'Физические лица'
		И я меняю значение переключателя 'Тип аналитики' на 'Номенклатура'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Статья затрат (создание) *' в течение 20 секунд
		Тогда открылось окно 'Статьи затрат'
		И Я закрываю окно 'Статьи затрат'
	И Я создаю статью затрат "Маркетинг (товарная категория)" с аналитикой "Товарные категории"
	И Я создаю статью затрат "Маркетинг (акция)" с аналитикой "Маркетинговое мероприятие"
	И Я создаю статью затрат "Транспортные расходы (Бензин)" с аналитикой "Транспортные средства"
	И Я создаю статью затрат "Транспортные расходы (поставщик)" с аналитикой "Контрагенты"
	И Я создаю статью затрат "З/П Руководителя направления" с аналитикой "Физические лица"
	И Я создаю статью затрат "З/П Менеджера клиента" с аналитикой "Физические лица"
	И Я создаю статью затрат "З/П Водитель" с аналитикой "Физические лица"
	И Я создаю статью затрат "Аренда" без аналитики

Сценарий: 001.3. financial_results. Направления деятельности

	Дано я удаляю объекты "Справочники.к2НаправленияДеятельности" без контроля ссылок
	И В командном интерфейсе я выбираю 'Деньги' 'Направления деятельности'
	Тогда открылось окно 'Направления деятельности'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Направления деятельности (создание)'
	И в поле 'Наименование' я ввожу текст 'Новое направление деятельности'
	И из выпадающего списка "Выручка от продаж" я выбираю по строке 'Прочие доходы'
	И из выпадающего списка "Себестоимость продаж" я выбираю по строке 'Прочие расходы'
	И в поле 'Описание' я ввожу текст 'Новое направление деятельности'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Направления деятельности (создание) *' в течение 20 секунд
	Тогда открылось окно 'Направления деятельности'
	И Я закрываю окно 'Направления деятельности'

Сценарий: 001.4. financial_results. Проверка закладки Финансовый результат в номенклатуре

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	Если в таблице "Список" нет строки Тогда
    	| 'Наименование' |
		| 'Аренда'       |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Аренда'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Аренда (Номенклатура)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Финансовый результат'
	И из выпадающего списка "Направление деятельности" я выбираю по строке 'Основное направление'
	И я меняю значение переключателя 'Способ списания' на 'FIFO'
	И я меняю значение переключателя 'Способ списания' на 'По средней'
	И из выпадающего списка "Счет учета запасов" я выбираю по строке 'Сырье и материалы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Аренда (Номенклатура) *' в течение 20 секунд
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'